%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary: 	Notification daemon for Xfce desktop environment
Name: 		xfce4-notifyd
Version: 	0.2.2
Release: 	%mkrel 4
License:	GPLv3
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-notifyd
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
Requires:	xfconf
Requires:	libnotify
Provides:	virtual-notification-daemon
Conflicts:	notification-daemon

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for 
Xfce that implements the Freedesktop.org Desktop Notifications 
Specification.

Features:
* Themable using the GTK+ theming mechanism
* Visually appealing: rounded corners, shaped windows
* Supports transparency and fade effects

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std 

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/themes/Default/xfce-notify-4.0
%{_datadir}/themes/Smoke
%{_datadir}/themes/ZOMG-PONIES!
%{_mandir}/man1/xfce4-notifyd-config*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.2.2-4.mga3
+ Revision: 386858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 0.2.2-3.mga3
+ Revision: 249400
- rebuild for new libxfce4util
- clean .spec

* Fri Mar 16 2012 wally <wally> 0.2.2-2.mga2
+ Revision: 223654
- require libnotify (for previews in xfce4-notifyd-config)

* Tue Sep 06 2011 tv <tv> 0.2.2-1.mga2
+ Revision: 139821
- new release

* Sat Apr 09 2011 ahmad <ahmad> 0.2.1-3.mga1
+ Revision: 82500
- bump libxfce4ui-devel required version
- imported package xfce4-notifyd

